# koboldgen

A character/one-shot generator for [Crash](https://elekk.xyz/@Crash)'s KOBOLDS IN SPACE! Requires Python 3.6+.

Invoke the script directly to generate a single kobold:

`python3 koboldgen.py`

There are flags you can type after the name of the script to get different effects.

The first three (`-k`, `-n`, and `-c`) can be used on their own, or you can add a number afterward to get the script to print that many kobolds:

`python3 koboldgen.py -k` - generate a kobold

`python3 koboldgen.py -n` - print out a kobold's name and occupation, without a stat block

`python3 koboldgen.py -c` - print out a full campaign with 6 kobolds by default

The next three should always be used on their own, without anything else on the command line:

`python3 koboldgen.py -s` - print out a ship name and description

`python3 koboldgen.py -p` - print out the premise of a campaign, including a ship name and description, without generating any kobolds

`python3 koboldgen.py -h` - print a help message